#ifndef MCLOCK_H
#define MCLOCK_H


class mClock
{
    public:
        mClock(double delta, double length);
        virtual ~mClock();
        int get_time();
        double get_step();
        int inc_step();
    protected:
    private:
        int step;
        double timeStep;
        double end_time;
        int end_step;
};

#endif // MCLOCK_H
